# Retrieve a plan

Retrieves the plan with the given ID.

## Prerequisites

Before you can run the following code snippet, you need to call these APIs with the provided parameters to set up the prerequisite API object(s).

1. createProduct
POST /v1/products {"name":"Gold Plan"}
2. createPlan
POST /v1/plans {"amount":1200,"currency":"usd","interval":"month","product":"${node.prerequisites.createProduct.createProduct:id}"}

## Request

```curl
curl https://api.stripe.com/v1/plans/{{PLAN_ID}} \
  -u "<<YOUR_SECRET_KEY>>"
```

### Response

```json
{
  "id": "plan_NjpIbv3g3ZibnD",
  "object": "plan",
  "active": true,
  "amount": 1200,
  "amount_decimal": "1200",
  "billing_scheme": "per_unit",
  "created": 1681851647,
  "currency": "usd",
  "interval": "month",
  "interval_count": 1,
  "livemode": false,
  "metadata": {},
  "nickname": null,
  "product": "prod_NjpI7DbZx6AlWQ",
  "tiers_mode": null,
  "transform_usage": null,
  "trial_period_days": null,
  "usage_type": "licensed"
}
```

## Returns

Returns a plan if a valid plan ID was provided. Raises [an error](https://docs.stripe.com/api/errors.md) otherwise.
